package cn.minbb.edu.data;

import java.io.Serializable;
import java.util.Collection;

import lombok.Data;

@Data
public class ResponseResult<T extends Serializable> implements Serializable {

    private Integer code = -1;

    private Boolean success = false;

    private String message = "";

    private T data;

    private Collection<T> dataset;
}
