package cn.minbb.edu.activities.ui.main;

import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentStatePagerAdapter;
import android.support.v4.view.PagerAdapter;

import java.util.List;


public class SectionsPagerAdapter extends FragmentStatePagerAdapter {

    private List<String> tabTitleList;
    private List<Integer> tabIdList;

    public SectionsPagerAdapter(FragmentManager fm, List<String> tabTitleList, List<Integer> tabIdList) {
        super(fm);
        this.tabTitleList = tabTitleList;
        this.tabIdList = tabIdList;
    }

    @Override
    public Fragment getItem(int position) {
        return PlaceholderFragment.newInstance(position + 1, tabIdList.get(position));
    }

    @Override
    public int getItemPosition(@NonNull Object object) {
        return PagerAdapter.POSITION_NONE;
    }

    @Nullable
    @Override
    public CharSequence getPageTitle(int position) {
        return tabTitleList.get(position);
    }

    @Override
    public int getCount() {
        return tabTitleList.size();
    }
}