package cn.minbb.edu.util;

import android.content.Context;
import android.content.Intent;

public class ActivityUtil {

    /**
     * 通过发送广播结束 Activity 需要被销毁的 Activity 注册销毁广播
     *
     * @param context        Context
     * @param activityAction 需要关闭页面的 action
     */
    public static void sendBroadcastToFinishActivity(Context context, String activityAction) {
        context.sendBroadcast(new Intent(activityAction));
    }
}
